/************************************************
* Columbia University CS Department
* Network Security Lab
*
* Open and Survivable Embedded Systems (OASES)
*
* Structured Policy Command Language (SPCL)
*
*
* This software is provided as is without any
* warranty or guarantee of merchantibility
* or fitness for a particular purpose. This
* software is released under the terms of the
* GNU General Public License (GPL).
*
* Last updated: March 28, 2003
*
***********************************************/

package spcl.policyengine;

import spcl.data.*;


/**
 * A simple driver for the PolicyEngine
 *
 * @author locasto@cs.columbia.edu
 *
*/
public class PolicyEngineDriver{

	private PolicyEngine policyEngine;
	
	public PolicyEngineDriver() throws Exception{
	   policyEngine = new PolicyEngine( this.getClass().getClassLoader() );
	}

	public static void main( String [] args ){

	  try{

	     PolicyEngine.execute( args );

	     new PolicyEngineDriver();

	  }catch( Exception e ){
	     System.err.println( "Could not start PolicyEngine: "+e.getMessage() );
	     System.exit( -1 );
	  }

	}
}
